Bug report #20605

Python error on opening or making some shp's and WMS layers

Added by Tessa Beukelaar - van Gulik over 1 year ago. Updated over 1 year ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Python bindings / sipify
Affected QGIS version:3.4.0 Regression?:No
Operating System:Windows 10 Easy fix?:No
Pull Request or Patch supplied:No Resolution:invalid
Crashes QGIS or corrupts data:No Copied to github as #:28425

Description

I keep getting the same error sinnce starting using QGIS3 on opening and making new shapefiles:

2018-11-23T10:40:21 WARNING Traceback (most recent call last):
File "C:/Users/Tessa/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py", line 690, in update_local_layers
self.update_local_data_sources(local_layers, local_raster_layers)
File "C:/Users/Tessa/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py", line 754, in update_local_data_sources
table_name_item = QTableWidgetItem(self.launder_pg_name(table_name).decode('utf-8'))
File "C:/Users/Tessa/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py", line 843, in launder_pg_name
input_string = input_string.decode('utf-8')
AttributeError: 'str' object has no attribute 'decode'

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:/Users/Tessa/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\error_report_dialog.py", line 78, in __reportError
url.setEncodedUrl("mailto:?subject=%s&body=%s" % (
AttributeError: 'QUrl' object has no attribute 'setEncodedUrl'

I have no idea what it is and what I can do about it.

Thank you in advance!

History

#1 Updated by Giovanni Manghi over 1 year ago

  • Resolution set to invalid
  • Status changed from Open to Closed

Is QGIS Cloud plugin error, not a QGIS one.

#2 Updated by Tessa Beukelaar - van Gulik over 1 year ago

  • Status changed from Closed to Reopened

Yes, ok, but it only started with QGIS 3 and I'm no closer to a solution. Could you at least point me to where I can go with this problem if not here?
Everytime I open a proejct with requiered layers or newly made shapefiles, since QGIS 3 I get this error. QGIS still works, but I have to click on close about twnetytimes, each time I use QGIS 3.

#3 Updated by Giovanni Manghi over 1 year ago

  • Status changed from Reopened to Closed

You have to report the problem to the plugin authors.

#4 Updated by Tessa Beukelaar - van Gulik over 1 year ago

Thank you! for pointing me to the plugin. Just switched it off and NO ERROR. I don't actually use the plugin or installed it in the first place. I'm very happy now :)

Also available in: Atom PDF